//Copyright 2005 Nokia Corporation.
//
// THIS SOURCE CODE IS PROVIDED 'AS IS', WITH NO WARRANTIES WHATSOEVER,
// EXPRESS OR IMPLIED, INCLUDING ANY WARRANTY OF MERCHANTABILITY, FITNESS
// FOR ANY PARTICULAR PURPOSE, OR ARISING FROM A COURSE OF DEALING, USAGE
// OR TRADE PRACTICE, RELATING TO THE SOURCE CODE OR ANY WARRANTY OTHERWISE
// ARISING OUT OF ANY PROPOSAL, SPECIFICATION, OR SAMPLE AND WITH NO
// OBLIGATION OF NOKIA TO PROVIDE THE LICENSEE WITH ANY MAINTENANCE OR
// SUPPORT. FURTHERMORE, NOKIA MAKES NO WARRANTY THAT EXERCISE OF THE
// RIGHTS GRANTED HEREUNDER DOES NOT INFRINGE OR MAY NOT CAUSE INFRINGEMENT
// OF ANY PATENT OR OTHER INTELLECTUAL PROPERTY RIGHTS OWNED OR CONTROLLED
// BY THIRD PARTIES
//
// Furthermore, information provided in this source code is preliminary,
// and may be changed substantially prior to final release. Nokia Corporation
// retains the right to make changes to this source code at
// any time, without notice. This source code is provided for informational
// purposes only.
//
// Nokia and Nokia Connecting People are registered trademarks of Nokia
// Corporation.
// Java and all Java-based marks are trademarks or registered trademarks of
// Sun Microsystems, Inc.
// Other product and company names mentioned herein may be trademarks or
// trade names of their respective owners.
//
// A non-exclusive, non-transferable, worldwide, limited license is hereby
// granted to the Licensee to download, print, reproduce and modify the
// source code. The licensee has the right to market, sell, distribute and
// make available the source code in original or modified form only when
// incorporated into the programs developed by the Licensee. No other
// license, express or implied, by estoppel or otherwise, to any other
// intellectual property rights is granted herein.
package example.capitals.ui;

import javax.microedition.lcdui.Command;
import javax.microedition.lcdui.Displayable;
import javax.microedition.lcdui.Form;
import javax.microedition.lcdui.TextField;
import example.capitals.CapitalMIDlet;

/**
 * Main Screen. From this you can select the country and request
 * the WebService to be called using the country as input
 */
public class MainScreen extends Screen {
	private Command exitCommand, callCommand;
	private TextField textField;

	public MainScreen(CapitalMIDlet _midlet) {
		super(_midlet);

		// create form
		textField = new TextField("Country", "", 20, TextField.ANY);
		Form f = new Form("Capital Service");
		f.append(textField);
		displayable = f;
	
		// create command buttons
		exitCommand = new Command("Exit", Command.EXIT, 0);
		displayable.addCommand(exitCommand);
		callCommand = new Command("Retrieve Capital", Command.OK, 0);
		displayable.addCommand(callCommand);		

		// set command listener
		displayable.setCommandListener(this);
		System.out.println("Done");
	
	}

	public void commandAction(Command c, Displayable d) {
		if (c == exitCommand) {
			midlet.quit();
		} else if (c == callCommand) {
			if (textField.getString().length() > 0) {
				// request the midlet to retrive the capital
				midlet.requestCapital(textField.getString());
			}
		}
	}

}
